Subject: Re: [RFC PATCH 0/3] git-p4: move to toplevel

From: Clemens Buchacher <[email-masked]>
Date: Tue, 14 Feb 2012 10:20:48 +0100

On Mon, Feb 13, 2012 at 01:20:25PM -0800, Junio C Hamano wrote:
> Clemens Buchacher <[email-masked]> writes:
> 
> >> Erm,... do you really need the alias if you add git-p4 in a directory on
> >> your $PATH?
> >
> > With recent git versions, this has stopped working.
> 
> Erm, I am confused.

Looks like in my case it did not work because I had a PATH entry with a
'~' in it. It probably stopped working for me because I moved some
executables around.

It's not a regression (I just tried with 1.6.0 and I get the same
result).  And dash does not apply tilde expansion to PATH either.  So
maybe it's not even a bug.